# Uses of Class
net.shibboleth.shared.collection.Pair

Packages that use Pair
Package
Description
net.shibboleth.shared.collection
Additional implementations of, and helpers for working with, collections.
net.shibboleth.shared.logic
Classes that represent basic first order logic concepts.
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.primitive
A set of utilities dealing with Java's primitive types.
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.spring.expression
Classes supporting use of Spring Expression Language (SpEL).
net.shibboleth.shared.spring.servlet.impl
Spring-aware implementation classes related to Java Servlet and Filter behavior.

## Uses of Pair in net.shibboleth.shared.collection

Constructors in net.shibboleth.shared.collection with parameters of type Pair
Modifier
Constructor
Description
``
`Pair(Pair<? extends T1,? extends T2> pair)`
Copy constructor.

## Uses of Pair in net.shibboleth.shared.logic

Fields in net.shibboleth.shared.logic declared as Pair
Modifier and Type
Field
Description
`private Pair<Class<T>,Class<U>>`
ScriptedBiConsumer.`inputTypes`
Input types.
`private Pair<Class<T>,Class<U>>`
ScriptedBiFunction.`inputTypes`
Input types.
`private Pair<Class<T>,Class<U>>`
ScriptedBiPredicate.`inputTypes`
Input type 1.
Methods in net.shibboleth.shared.logic that return Pair
Modifier and Type
Method
Description
`Pair<Class<T>,Class<U>>`
ScriptedBiConsumer.`getInputTypes()`
Get the input type to be enforced.
`Pair<Class<T>,Class<U>>`
ScriptedBiFunction.`getInputTypes()`
Get the input type to be enforced.
`Pair<Class<T>,Class<U>>`
ScriptedBiPredicate.`getInputTypes()`
Get the input type to be enforced.
Methods in net.shibboleth.shared.logic with parameters of type Pair
Modifier and Type
Method
Description
`void`
ScriptedBiConsumer.`setInputTypes(Pair<Class<T>,Class<U>> types)`
Set the input types to be enforced.
`void`
ScriptedBiFunction.`setInputTypes(Pair<Class<T>,Class<U>> types)`
Set the input types to be enforced.
`void`
ScriptedBiPredicate.`setInputTypes(Pair<Class<T>,Class<U>> types)`
Set the input types to be enforced.

## Uses of Pair in net.shibboleth.shared.net

Fields in net.shibboleth.shared.net with type parameters of type Pair
Modifier and Type
Field
Description
`private List<Pair<String,String>>`
URLBuilder.`queryParams`
Parameters in the query string.
Methods in net.shibboleth.shared.net that return types with arguments of type Pair
Modifier and Type
Method
Description
`List<Pair<String,String>>`
URLBuilder.`getQueryParams()`
Gets the query string parameters for the URL.
`static List<Pair<String,String>>`
URISupport.`getRawQueryStringParameters(String queryString, String paramName)`
Get all raw (i.e.RFC-3968 encoded) query string components with the specified parameter name.
`static List<Pair<String,String>>`
URISupport.`parseQueryString(String queryString)`
Parses a RFC-3968 encoded query string in to a set of name/value pairs.
`static List<Pair<String,String>>`
URISupport.`parseQueryString(String queryString, boolean decodeName, boolean decodeValue)`
Same as `URISupport.parseQueryString(String, boolean, boolean, Charset)` with the final parameter set to `StandardCharsets.UTF_8`.
`static List<Pair<String,String>>`
URISupport.`parseQueryString(String queryString, boolean decodeName, boolean decodeValue, Charset charset)`
Parses a RFC-3968 encoded query string in to a set of name/value pairs.
Method parameters in net.shibboleth.shared.net with type arguments of type Pair
Modifier and Type
Method
Description
`static String`
URISupport.`buildQuery(List<Pair<String,String>> parameters)`
Builds an RFC-3968 encoded URL query component from a collection of parameters.
`static Map<String,String>`
URISupport.`buildQueryMap(List<Pair<String,String>> parameters)`
Builds a map from a collection of parameters.
`static Map<String,List<String>>`
URISupport.`buildQueryMultiMap(List<Pair<String,String>> parameters)`
Builds a map from a collection of parameters.
`static URI`
URISupport.`setQuery(URI prototype, List<Pair<String,String>> parameters)`
Sets the query of a URI.

## Uses of Pair in net.shibboleth.shared.primitive

Subclasses of Pair in net.shibboleth.shared.primitive
Modifier and Type
Class
Description
`class`
`LangBearingString`
An object that represents a string associated with a language tag/locale.

## Uses of Pair in net.shibboleth.shared.security

Methods in net.shibboleth.shared.security that return Pair
Modifier and Type
Method
Description
`Pair<String,SecretKey>`
DataSealerKeyStrategy.`getDefaultKey()`
Deprecated, for removal: This API element is subject to removal in a future version.

## Uses of Pair in net.shibboleth.shared.security.impl

Methods in net.shibboleth.shared.security.impl that return Pair
Modifier and Type
Method
Description
`Pair<String,SecretKey>`
BasicKeystoreKeyStrategy.`getDefaultKey()`
Get the default/current key to use for new operations, returned along with an identifier for it.
`Pair<String,SecretKey>`
ScriptedKeyStrategy.`getDefaultKey()`
Get the default/current key to use for new operations, returned along with an identifier for it.

## Uses of Pair in net.shibboleth.shared.spring.expression

Fields in net.shibboleth.shared.spring.expression declared as Pair
Modifier and Type
Field
Description
`private Pair<Class<T>,Class<U>>`
SpringExpressionBiConsumer.`inputTypes`
Input types.
`private Pair<Class<T>,Class<U>>`
SpringExpressionBiFunction.`inputTypes`
Input types.
`private Pair<Class<T>,Class<U>>`
SpringExpressionBiPredicate.`inputTypes`
Input types.
Methods in net.shibboleth.shared.spring.expression that return Pair
Modifier and Type
Method
Description
`Pair<Class<T>,Class<U>>`
SpringExpressionBiConsumer.`getInputTypes()`
Get the input type to be enforced.
`Pair<Class<T>,Class<U>>`
SpringExpressionBiFunction.`getInputTypes()`
Get the input type to be enforced.
`Pair<Class<T>,Class<U>>`
SpringExpressionBiPredicate.`getInputTypes()`
Get the input type to be enforced.
Methods in net.shibboleth.shared.spring.expression with parameters of type Pair
Modifier and Type
Method
Description
`void`
SpringExpressionBiConsumer.`setInputTypes(Pair<Class<T>,Class<U>> types)`
Set the input types to be enforced.
`void`
SpringExpressionBiFunction.`setInputTypes(Pair<Class<T>,Class<U>> types)`
Set the input types to be enforced.
`void`
SpringExpressionBiPredicate.`setInputTypes(Pair<Class<T>,Class<U>> types)`
Set the input types to be enforced.

## Uses of Pair in net.shibboleth.shared.spring.servlet.impl

Fields in net.shibboleth.shared.spring.servlet.impl with type parameters of type Pair
Modifier and Type
Field
Description
`private Collection<Function<Pair<HttpServletRequest,HttpServletResponse>,Boolean>>`
DynamicResponseHeaderFilter.`callbacks`
Callbacks to add headers dynamically.
Method parameters in net.shibboleth.shared.spring.servlet.impl with type arguments of type Pair
Modifier and Type
Method
Description
`void`
DynamicResponseHeaderFilter.`setCallbacks(Collection<Function<Pair<HttpServletRequest,HttpServletResponse>,Boolean>> theCallbacks)`
Set the callbacks to invoke to dynamically attach headers.